---
title: "Lista e kategorive"
operation_id: "get-api-v1-product-categories"
method: GET
path: "/api/v1/product/categories"
group: "Produkte"
api_version: "v1"
authenticated: true
canonical: "https://fature.al/api-reference/endpoints/get-api-v1-product-categories.html"
---

# Lista e kategorive

Part of the [fature.al API](/api-reference/index.html) documentation.

## GET /api/v1/product/categories

Merrni listen e kategorive te produkteve per kompanine tuaj. Kthehen te gjitha ne nje pergjigje
te vetme, pa faqosje.

Kur limiti i kerkesave arrihet ose ndodh nje gabim i papritur, pergjigja kthehet me HTTP 200 dhe
`status: false`, prandaj lexoni `status` dhe jo vetem kodin HTTP.

Full URL: `https://fature.al/api/v1/product/categories`

API version: `v1`.

Authentication: required (bearer token).

### Example request

```bash
curl -X GET 'https://fature.al/api/v1/product/categories' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'X-Client-Id: YOUR_CLIENT_ID' \
  -H 'X-Client-Secret: YOUR_CLIENT_SECRET' \
  -H 'Accept: application/json'
```

### Responses

**200** — OK

| Field | Type | Description |
| --- | --- | --- |
| `status` | boolean |  |
| `data` | array |  |
| `data[].id` | integer |  |
| `data[].name` | string |  |
| `data[].color` | string, nullable | Hex colour used by the POS grid |

```json
{
    "status": true,
    "data": [
        {
            "id": 1,
            "name": "Jane Doe",
            "color": "color"
        }
    ]
}
```
